[android-components](../../index.md) / [mozilla.components.support.test.robolectric.shadow](../index.md) / [PixelCopyShadow](./index.md)

# PixelCopyShadow

`@Implements class PixelCopyShadow` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/support/test/src/main/java/mozilla/components/support/test/robolectric/shadow/PixelCopyShadow.kt#L22)

Shadow for [PixelCopy](#) API.

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `PixelCopyShadow()`<br>Shadow for [PixelCopy](#) API. |

### Companion Object Properties

| Name | Summary |
|---|---|
| [copyResult](copy-result.md) | `var copyResult: <ERROR CLASS>` |

### Companion Object Functions

| Name | Summary |
|---|---|
| [request](request.md) | `fun request(source: <ERROR CLASS>, srcRect: <ERROR CLASS>?, dest: <ERROR CLASS>, listener: <ERROR CLASS>, listenerThread: <ERROR CLASS>?): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) |
